<!doctype html>
<html>
<head>
    <title>March 2010 Progress Report | The Tor Project</title>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="monetization" content="$ilp.uphold.com/pYfXb92JBQN4">
    <link rel="stylesheet" href="../static/css/style.css?h=5fc6c25a">
    <link rel="stylesheet" href="../static/fonts/fontawesome/css/all.min.css?h=9d272f6a">
    <link rel="stylesheet" href="../static/pygments.css">
    <link rel="icon" type="image/x-icon" href="../static/images/favicon/favicon.ico">
    <link rel="icon" type="image/png" href="../static/images/favicon/favicon.png">
    <meta property="og:title" content="March 2010 Progress Report | Tor Project">
    <meta property="og:description" content="New Releases On March 7th, we released the latest in the -alpha series, Tor 0.2.2.10-alpha. Tor...">
    <meta property="og:image" content="https://blog.torproject.org/static/images/lead.png">
    <meta property="og:url" content="https://blog.torproject.org/march-2010-progress-report/">
    <meta name="twitter:card" content="summary_large_image">
</head>
<body>
  <header>
    <nav>
      <a class="navbar-brand" href="../"><img alt="Tor Blog" src="../static/images/logo.png" /></a>
      <ul class="navbar-nav">
          <li><a href="https://www.torproject.org/about/history/">About</a></li>
          <li><a href="https://support.torproject.org/">Support</a></li>
          <li><a href="https://community.torproject.org/">Community</a></li>
          <li><a href="https://forum.torproject.org/">Forum</a></li>
          <li><a href="https://donate.torproject.org/">Donate</a></li></ul>
    </nav>
  </header>
  <section class="content">
    <main>
  <article class="blog-post">
      <h1 class="title">
        March 2010 Progress Report
      </h1>
    <p class="meta">by phobos | April 18, 2010</p>
    <picture>
      <source media="(min-width:415px)" srcset="../static/images/lead.webp" type="image/webp">
<source srcset="../static/images/lead_small.webp" type="image/webp">

      <img class="lead" src="../static/images/lead.png">
    </picture>
    <div class="body">
      <link rel="stylesheet" href="../static/css/legacy.css?h=21ddbb2d">
      <p><strong>New Releases</strong><br />
On March 7th, we released the latest in the -alpha series, Tor 0.2.2.10-alpha.  Tor 0.2.2.10-alpha fixes a regression introduced in 0.2.2.9-alpha that could prevent relays from guessing their IP address correctly. It also starts the groundwork for another client-side performance boost, since currently we're not making efficient use of relays that have both the Guard flag and the Exit flag.</p>

<p>  o Major bugfixes:<br />
    - Fix a regression from our patch for bug 1244 that caused relays<br />
      to guess their IP address incorrectly if they didn't set Address<br />
      in their torrc and/or their address fails to resolve. Bugfix on<br />
      0.2.2.9-alpha; fixes bug 1269.</p>

<p>  o Major features (performance):<br />
    - Directory authorities now compute consensus weightings that instruct<br />
      clients how to weight relays flagged as Guard, Exit, Guard+Exit,<br />
      and no flag. Clients that use these weightings will distribute<br />
      network load more evenly across these different relay types. The<br />
      weightings are in the consensus so we can change them globally in<br />
      the future. Extra thanks to "outofwords" for finding some nasty<br />
      security bugs in the first implementation of this feature.</p>

<p>  o Minor features (performance):<br />
    - Always perform router selections using weighted relay bandwidth,<br />
      even if we don't need a high capacity circuit at the time. Non-fast<br />
      circuits now only differ from fast ones in that they can use relays<br />
      not marked with the Fast flag. This "feature" could turn out to<br />
      be a horrible bug; we should investigate more before it goes into<br />
      a stable release.</p>

<p>  o Minor features:<br />
    - Allow disabling building of the manpages. Skipping the manpage<br />
      speeds up the build considerably.</p>

<p>  o Minor bugfixes (on 0.2.2.x):<br />
    - Fix a memleak in the EXTENDCIRCUIT logic. Spotted by coverity.<br />
      Bugfix on 0.2.2.9-alpha.<br />
    - Disallow values larger than INT32_MAX for PerConnBWRate|Burst<br />
      config option. Bugfix on 0.2.2.7-alpha.<br />
    - Ship the asciidoc-helper file in the tarball, so that people can<br />
      build from source if they want to, and touching the .1.txt files<br />
      doesn't break the build. Bugfix on 0.2.2.9-alpha.</p>

<p>  o Minor bugfixes (on 0.2.1.x or earlier):<br />
    - Fix a dereference-then-NULL-check sequence when publishing<br />
      descriptors. Bugfix on 0.2.1.5-alpha. Discovered by ekir; fixes<br />
      bug 1255.<br />
    - Fix another dereference-then-NULL-check sequence. Bugfix on<br />
      0.2.1.14-rc. Discovered by ekir; fixes bug 1256.<br />
    - Make sure we treat potentially not NUL-terminated strings correctly.<br />
      Bugfix on 0.1.1.13-alpha. Discovered by rieo; fixes bug 1257.</p>

<p>  o Code simplifications and refactoring:<br />
    - Fix some urls in the exit notice file and make it XHTML1.1 strict<br />
      compliant. Based on a patch from Christian Kujau.<br />
    - Don't use sed in asciidoc-helper anymore.<br />
    - Make the build process fail if asciidoc cannot be found and<br />
      building with asciidoc isn't disabled.</p>

<p>On March 15, we released the latest in the -stable series, Tor 0.2.1.25-stable.</p>

<p>  o Major bugfixes:<br />
    - Fix a regression from our patch for bug 1244 that caused relays<br />
      to guess their IP address incorrectly if they didn't set Address<br />
      in their torrc and/or their address fails to resolve. Bugfix on<br />
      0.2.1.23; fixes bug 1269.<br />
    - When freeing a session key, zero it out completely. We only zeroed<br />
      the first ptrsize bytes. Bugfix on 0.0.2pre8. Discovered and<br />
      patched by ekir. Fixes bug 1254.</p>

<p>  o Minor bugfixes:<br />
    - Fix a dereference-then-NULL-check sequence when publishing<br />
      descriptors. Bugfix on 0.2.1.5-alpha. Discovered by ekir; fixes<br />
      bug 1255.<br />
    - Fix another dereference-then-NULL-check sequence. Bugfix on<br />
      0.2.1.14-rc. Discovered by ekir; fixes bug 1256.<br />
    - Make sure we treat potentially not NUL-terminated strings correctly.<br />
      Bugfix on 0.1.1.13-alpha. Discovered by rieo; fixes bug 1257.</p>

<p>On March 26 we released the first beta of a Tor Browser Bundle for GNU/Linux operating systems.  It is now available for x86 and x86_64 architectures in 12 languages.</p>

<p>The bundle comes with the following software:<br />
    * Tor 0.2.2.10-alpha<br />
    * Vidalia 0.2.7 -- cross-platform controller GUI for the Tor software<br />
    * Polipo 1.0.4.1 -- caching web proxy<br />
    * Firefox 3.5.8 -- web browser<br />
    * Torbutton 1.2.4 -- Firefox extension to enable or disable the browser's use of Tor<br />
    * NoScript 1.9.9.57 -- Firefox extension to only allow scripts from trusted sites<br />
    * BetterPrivacy 1.4.7 -- Firefox extension to protect against supercookies</p>

<p>Orbot 0.0.4 is the first public release.  Orbot includes:</p>

<p> * Tor 0.2.2.9-alpha<br />
    * A native Android control graphical interface<br />
    * Privoxy compiled for Android</p>

<p>March 11 we released Orbot 0.0.5 for Android phones. It fixes a number of bugs in the graphical control interface and updated Tor to 0.2.2.10-alpha.</p>

<p><strong>Design, develop, and implement enhancements that make Tor a better tool for users in censored countries.</strong></p>

<p>We worked with activists in Iran and China to determine what relays were blocked, if any, by national firewall apparatus.  Iran is not blocking Tor relays at all.  China is blocking most public relays, and appears to have crawled the bridge address website in order to block those bridges.  There were 4121 requests in a 6 hour period from seemingly unique gmail accounts for bridge addresses via email.  However, we cannot attribute this to anything other than users requesting bridges.  It is possible this was an attempt to enumerate all bridges available via email.  Our twitter and qq distribution methods remain under utilized. </p>

<p>Implemented graphs of packages served by our get-tor email autoresponder.  You can see them at <a href="http://metrics.torproject.org/gettor-graphs.html" rel="nofollow">http://metrics.torproject.org/gettor-graphs.html</a></p>

<p><strong>Outreach and Advocacy</strong></p>

<ul>
<li>On March 1, Roger met with Sina from Access. He answered many questions about Tor, learned more about the situation in Iran now, and helped brainstorm about further collaborations.</li>
<li>On March 2, Karen was a panelist at the University of Maryland Digital Media Conference. </li>
<li>On March 12, Jacob spoke at Digital Security and Tactics for (and by) anti-authoritarians.  <a href="https://www.noisebridge.net/wiki/Digital_Security_and_Tactics_For_(and_By)_Anti_Authoritarians" rel="nofollow">https://www.noisebridge.net/wiki/Digital_Security_and_Tactics_For_(and_…</a></li>
<li>On March 20, Andrew, Erinn, and Runa attended LibrePlanet 2010.  Erinn was a panelist at a session about "Women in Technology and Free Software".  Andrew spoke about Tor, Free Software, and running a non-profit business with free software. <a href="http://libreplanet.org/2010" rel="nofollow">http://libreplanet.org/2010</a></li>
<li>A Tor fan created a very quick advocacy video about using Tor for circumvention at <a href="http://media.torproject.org/video/TorQatarCensor15secs2b.ogv" rel="nofollow">http://media.torproject.org/video/TorQatarCensor15secs2b.ogv</a>.</li>
<li>Andrew was interviewed by ABC Australia's Future Tense program about the "DarkWeb".  You can listen to the radio interview at <a href="http://media.torproject.org/video/2010-03-11-ABC-Australia-FutureTense-Interview.mp3" rel="nofollow">http://media.torproject.org/video/2010-03-11-ABC-Australia-FutureTense-…</a> or read the transcript at <a href="http://www.abc.net.au/rn/futuretense/stories/2010/2837736.htm" rel="nofollow">http://www.abc.net.au/rn/futuretense/stories/2010/2837736.htm</a>.</li>
<li>Steven Murdoch was interviewed by PC Pro UK magazine about "The Dark Side of the Web", <a href="http://www.pcpro.co.uk/features/356254/the-dark-side-of-the-web" rel="nofollow">http://www.pcpro.co.uk/features/356254/the-dark-side-of-the-web</a>.</li>
<li>On March 25, we announced The Tor Store to allow users to support Tor from around the world with t-shirts, mugs, and other merchandise.  <a href="https://www.torproject.org/press/2010-03-25-tor-store-press-release.html.en" rel="nofollow">https://www.torproject.org/press/2010-03-25-tor-store-press-release.htm…</a>.</li>
<li>Tor and EFF were accepted into the Google Summer of Code for the fourth year in a row.  <a href="https://blog.torproject.org/blog/tor-google-summer-code-2010" rel="nofollow">https://blog.torproject.org/blog/tor-google-summer-code-2010</a>.</li>
<li>Jacob gave a Tor talk to Twitter engineers about circumvention, anonymity, and the positive uses of both technologies.</li>
<li>Erinn, Jacob, and Mike talked to Google engineers about Tor on Android and better integration with the Chrome browser.</li>
<li>Christian rewrote the Tor Weather web application, <a href="https://weather.torproject.org/" rel="nofollow">https://weather.torproject.org/</a>, to increase stability, fix a number of bugs, and add some requested features.  Tor Weather is a tool for relay operators to get a reminder when their relay appears to be offline.</li>
</ul>

<p><strong>Preconfigured privacy (circumvention) bundles for USB or LiveCD.</strong><br />
A beta-test of Tor Browser Bundle for GNU/Linux was released for general testing.  It is released in both native 32-bit and 64-bit versions.  See release notes above.</p>

<p><strong>Bridge relay and bridge authority work.</strong><br />
Steven started work on a proposal to turn all clients into bridges by default.  This proposal describes how Tor clients could determine when they have sufficient bandwidth capacity and are sufficiently reliable to become either bridges or Tor relays. When they meet this criteria, they will automatically promote themselves, based on user preferences. The proposal also defines the new controller messages and options which will control this process.</p>

<p>Note that for the moment, only transitions between client and bridge are being considered. Transitions to public relay will be considered at a future date, but will use the same infrastructure for measuring capacity and reliability.</p>

<p>The full proposal, and subsequent discussion, can be read at <a href="http://archives.seul.org/or/dev/Mar-2010/msg00028.html" rel="nofollow">http://archives.seul.org/or/dev/Mar-2010/msg00028.html</a>.</p>

<p><strong>Scalability, load balancing, directory overhead, efficiency.</strong><br />
Karsten continued to improve the Tor Metrics Portal, <a href="http://metrics.torproject.org/" rel="nofollow">http://metrics.torproject.org/</a>.  More reports were automated. The entire setup and process of how we analyze the data was documented.  We could use volunteer help with portal and data visualization technologies and implementation experience.</p>

<p>We added proposal 170, "Configuration options regarding circuit building". Tor's treatment of the various configuration *Nodes options was surprising to many users, and quite a few conspiracy theories have crept up. We should update our specification and code to better describe and to communicate what is going during circuit building, and how we're honoring configuration. So far, we've been tracking a bugreport about this behaviour (<a href="https://bugs.torproject.org/flyspray/index.php?do=details&amp;id=1090" rel="nofollow">https://bugs.torproject.org/flyspray/index.php?do=details&amp;id=1090</a>) and Nick replied in a thread on or-talk (<a href="http://archives.seul.org/or/talk/Feb-2010/msg00117.html" rel="nofollow">http://archives.seul.org/or/talk/Feb-2010/msg00117.html</a>). This proposal tries to document our intention for those configuration options.</p>

<p><strong>Translation work, ultimately a browser-based approach.</strong></p>

<ul>
<li>Language updates to the website in French, Chinese, German, Spanish, Polish, Russian, Estonian, Norwegian, Greek</li>
<li> Language updates to the get-tor email autoresponder in Vietnamese, Dutch,</li>
<li>Language updates to torbutton in Arabic, German, Danish, Slovakian, Swedish, Vietnamese, Russian</li>
<li>Runa fixed a large amount of broken html and translated files.  This enabled us to push nearly all projects and languages into the codebases. </li>
</ul>

    </div>
  <div class="categories">
    <ul><li>
        <a href="../category/advocacy">
          advocacy
        </a>
      </li><li>
        <a href="../category/localization">
          localization
        </a>
      </li><li>
        <a href="../category/releases">
          releases
        </a>
      </li><li>
        <a href="../category/reports">
          reports
        </a>
      </li></ul>
  </div>
  <div class="comments">
      <h2>Comments</h2>
      <p>Please note that the comment area below has been archived.</p>
      <a id="comment-5437"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-5437" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">April 20, 2010</p>
    </div>
    <a href="#comment-5437">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-5437" class="permalink" rel="bookmark">I am getting this error msg,</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>I am getting this error msg, any suggestions?</p>
<p>"The most recent Tor proxy test failed to use Tor."</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-5438"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-5438" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">April 20, 2010</p>
    </div>
    <a href="#comment-5438">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-5438" class="permalink" rel="bookmark">I would like say thank you</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>I would like say thank you for your really great work!</p>
<p>Unfortunately I'm struggled over following little problems:<br />
1) If one uses bridges (as myself) and uninstall tor, all bridges are gone too!<br />
2) If one thinks to copy and paste bridges into torrc by any editor. After that tor isn't able to read torrc correctly anymore and tor remain unable to run, at least for me under WinXP SP3.<br />
3) If bridges are needed after new a installation, bridges can only be added one-by-one over tor's settings menu by add bridges.</p>
<p>Regards</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-5463"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-5463" class="contextual-region comment js-comment by-node-author" id="comment-">
  <footer class="comment__meta">
    <article class="contextual-region">
  phobos
  </article>
    <div class="comment-header">
      <p class="comment__submitted">phobos said:</p>
      <p class="date-time">April 22, 2010</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-5438" class="permalink" rel="bookmark">I would like say thank you</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-5463">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-5463" class="permalink" rel="bookmark">1) Yes, an uninstallation of</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>1) Yes, an uninstallation of tor will wipe everything related to tor.  This includes anything customized in tor configurations.</p>
<p>2) use wordpad.  notepad strips the soft returns from the file, turning it into one big line of text.</p>
<p>3) or you can click the "get bridges" button and get 3 at once.</p>
</div>
  </div>
</article>
<!-- Comment END -->
</div><a id="comment-5458"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-5458" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">April 22, 2010</p>
    </div>
    <a href="#comment-5458">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-5458" class="permalink" rel="bookmark">i cant connect to tor it</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>i cant connect to tor it stops at establishing tor circuit and wont move i use mtn nigeria 10.199.212.2 port 8080 pls what do i do? <a href="mailto:kadex4real2002@yahoo.com" rel="nofollow">kadex4real2002@yahoo.com</a></p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-5464"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-5464" class="contextual-region comment js-comment by-node-author" id="comment-">
  <footer class="comment__meta">
    <article class="contextual-region">
  phobos
  </article>
    <div class="comment-header">
      <p class="comment__submitted">phobos said:</p>
      <p class="date-time">April 22, 2010</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-5458" class="permalink" rel="bookmark">i cant connect to tor it</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-5464">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-5464" class="permalink" rel="bookmark">how long have you waited for</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>how long have you waited for tor to connect?</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-5468"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-5468" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">April 23, 2010</p>
    </div>
              <p class="parent visually-hidden">In reply to phobos</p>
    <a href="#comment-5468">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-5468" class="permalink" rel="bookmark">TRY USING ANONYMOUS I.P.</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>TRY USING ANONYMOUS I.P. IT'LL CONNECT WITH TOR.</p>
</div>
  </div>
</article>
<!-- Comment END -->
</div></div><a id="comment-5465"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-5465" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">April 22, 2010</p>
    </div>
    <a href="#comment-5465">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-5465" class="permalink" rel="bookmark">Have you plan the tor</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Have you plan the tor support for ipv6 network ?</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-5467"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-5467" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">April 23, 2010</p>
    </div>
    <a href="#comment-5467">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-5467" class="permalink" rel="bookmark">can&#039;t we download frm here</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>can't we download frm here again i can't see download link.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-5469"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-5469" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">April 23, 2010</p>
    </div>
    <a href="#comment-5469">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-5469" class="permalink" rel="bookmark">tor is becoming slower in my</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>tor is becoming slower in my area and I am sometimes unable to connect to tor as it writes "Establishing a Tor Circuit" for like 1 hour. I use mtn AND the port is 10.199.212.2 port 8080</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-5478"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-5478" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">April 25, 2010</p>
    </div>
    <a href="#comment-5478">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-5478" class="permalink" rel="bookmark">Connection based denial of</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Connection based denial of service attack on Tor?<br />
If I open both my router and directory ports on Tor, the number of open connections on Tor router port will rise until it hits the NAT connection limit on my small router.  I upped the max connections from 4k to 7k and it just hit that limit too.  Bizarrely, if I turn off directory services it doesn't do this (weird because the massive number of  connections are NOT on the directory port).  Also I notice that many relays have closed directory ports at tor status sites, is this the reason?</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-5479"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-5479" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">April 25, 2010</p>
    </div>
    <a href="#comment-5479">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-5479" class="permalink" rel="bookmark">Connection based denial of</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Connection based denial of service attack on Tor?<br />
If I open both my router and directory ports on Tor, the number of open connections on Tor router port will rise until it hits the NAT connection limit on my small router.  I upped the max connections from 4k to 7k and it just hit that limit too.  Bizarrely, if I turn off directory services it doesn't do this (the connections are NOT to the directory port).  Also I notice that many relays have closed directory ports at tor status sites, is this the reason?</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-5494"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-5494" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">April 27, 2010</p>
    </div>
    <a href="#comment-5494">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-5494" class="permalink" rel="bookmark">Re:Connection based denial</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Re:Connection based denial of service attack on Tor?<br />
Nevermind, found great answer here:<br />
<a href="http://archives.seul.org/tor/relays/Apr-2010/msg00078.html" rel="nofollow">http://archives.seul.org/tor/relays/Apr-2010/msg00078.html</a></p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-5709"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-5709" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">May 19, 2010</p>
    </div>
    <a href="#comment-5709">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-5709" class="permalink" rel="bookmark">Kindly direct me how i will</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Kindly direct me how i will connect my tor to yahoo messenger, my email is <a href="mailto:micheal4onlyu@yahoo.com" rel="nofollow">micheal4onlyu@yahoo.com</a></p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-5714"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-5714" class="contextual-region comment js-comment by-node-author" id="comment-">
  <footer class="comment__meta">
    <article class="contextual-region">
  phobos
  </article>
    <div class="comment-header">
      <p class="comment__submitted">phobos said:</p>
      <p class="date-time">May 19, 2010</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-5709" class="permalink" rel="bookmark">Kindly direct me how i will</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-5714">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-5714" class="permalink" rel="bookmark">See</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>See <a href="http://help.yahoo.com/l/ca/yahoo/pager/use/use-17.html" rel="nofollow">http://help.yahoo.com/l/ca/yahoo/pager/use/use-17.html</a></p>
</div>
  </div>
</article>
<!-- Comment END -->
</div>
  </div>
  </article>

</main>
    <aside class="sidebar">
<!-- ##SIDEBAR## -->
</aside>
  </section>
  <footer><div class="row download">
    <div class="col circles"></div>
    <div class="col link">
        <h3>Download Tor Browser</h3>
        <p>Download Tor Browser to experience real private browsing without tracking, surveillance, or censorship.</p>
        <a class="btn" href="https://www.torproject.org/download/">Download Tor Browser <i class="fas fa-arrow-down-png-purple"></i></a>
    </div>
</div>
<div class="row social">
    <div class="col newsletter">
        <h3>Subscribe to our Newsletter</h3>
        <p>Get monthly updates and opportunities from the Tor Project:</p>
        <p class="w"><a class="btn btn-dark" role="button" href="https://newsletter.torproject.org/">Sign up</a></p>
    </div>
    <div class="col links">
        <div class="row">
            <h4><a target="_blank" href="https://www.facebook.com/TorProject/"><i class="fab fa-facebook"></i></a></h4>
            <h4><a target="_blank" href="https://mastodon.social/@torproject" rel="me"><i class="fab fa-mastodon"></i></a></h4>
            <h4><a target="_blank" href="https://twitter.com/torproject"><i class="fab fa-twitter"></i></a></h4>
        </div>
        <div class="row">
            <h4><a target="_blank" href="https://www.instagram.com/torproject"><i class="fab fa-instagram"></i></a></h4>
            <h4><a target="_blank" href="https://www.linkedin.com/company/tor-project"><i class="fab fa-linkedin"></i></a></h4>
            <h4><a target="_blank" href="https://github.com/torproject"><i class="fab fa-github"></i></a></h4>
        </div>
        <div class="row">
            <h4><a target="_blank" href="https://t.me/torproject"><i class="fab fa-telegram"></i></a></h4>
        </div>
    </div>
</div>
<div class="row notice">
    <p>Trademark, copyright notices, and rules for use by third parties can be found in our <a href="https://www.torproject.org/about/trademark/">FAQ</a>.</p>
</div></footer>
</body>
</html>
